<ion-header>
  <ion-toolbar color="light">
    <ion-buttons slot="start">
      <ion-button (click)="back()"><ion-icon name="md-arrow-back"></ion-icon></ion-button>
    </ion-buttons>
    <ion-searchbar mode="ios" placeholder="Search city or municipality" debounce="500" (ionChange)="search($event)"></ion-searchbar>
  </ion-toolbar>
</ion-header>

<ion-content>
  <p class="ion-text-center c-primary" *ngIf="showIntruction">Enter atleast 3 characters to start searching</p>
  <ion-list>
    <ion-item button="true" *ngFor="let city of cities" (click)="select(city)">
      <ion-label>
        <h2>{{city.Name}}</h2>
        <p>Province: {{city.ProvinceName}}</p>
        <p>Region: {{city.RegionName}}</p>
      </ion-label>
    </ion-item>
  </ion-list>
</ion-content>